#include <iostream>
#include <string>
/*
CD_DA
/ global CD-TEXT data

CD_TEXT {

  // Mapping from language number (0..7) used in 'LANGUAGE' statements 
  // to language code.
  LANGUAGE_MAP {
    0 : EN  // 9 is the code for ENGLISH,
            // I don't know any other language code, yet
  }

  // Language number should always start with 0
  LANGUAGE 0 {
    // Required fields - at least all CD-TEXT CDs I've seen so far have them.
    TITLE "CD Title"
    PERFORMER "Performer"
    DISC_ID "XY12345"
    UPC_EAN "" // usually empty

    // Further possible items, all of them are optional
    MESSAGE "" 
  }
}


TRACK AUDIO
// track specific CD-TEXT data
CD_TEXT {
  LANGUAGE 0 {
    // if an item is defined for one track it should be defined for all tracks
    TITLE "Track Title"

    PERFORMER "Performer"
    ISRC "US-XX1-98-01234"

    MESSAGE "" 
  }
}

SILENCE 1:0:0
*/
using namespace std;

int main(int argc, char** argv)
{
  string string_cd_title;
  string string_artist;
  string string_message;

  string string_track_title;
  
  getline( cin, string_cd_title );
  getline( cin, string_artist );
  getline( cin, string_message );

  // HEADER
  cout << "CD_DA" << endl << endl;
  cout << "CD_TEXT {" << endl;
  cout << "  LANGUAGE_MAP {" << endl;
  cout << "    0 : EN" << endl;
  cout << "  }" << endl;
  cout << "  LANGUAGE 0 {" << endl;
  cout << "    TITLE \"" << string_cd_title << "\"" << endl;
  cout << "    PERFORMER \"" << string_artist << "\"" << endl;
  cout << "    DISC_ID \"" << "" << "\"" << endl;
  cout << "    UPC_EAN \"" << "" << "\"" << endl;
  cout << "    MESSAGE \"" << "" << "\"" << endl;
  cout << "  }" << endl;
  cout << "}" << endl << endl;
  
  for( string line; getline( cin, line ); )
    {
      // for each line
      cout << "TRACK_AUDIO" << endl;
      cout << "NO COPY" << endl;
      cout << "TWO_CHANNEL_AUDIO" << endl;
      cout << "CD_TEXT {" << endl;
      cout << "  LANGUAGE 0 {" << endl;
      cout << "    TITLE \"" << line.substr(0, line.length() - 4 ) << "\"" << endl;
      cout << "    PERFORMER \"" << string_artist << "\"" << endl;
      cout << "    ISRC \"" << "" << "\"" << endl;
      cout << "    MESSAGE \"" << "" << "\"" << endl;
      cout << "  }" << endl;
      cout << "}" << endl;
      cout << "FILE " << line << " 0" << endl << endl;
      
    }
  return 0;
}
